Subject: Re: [External] : Re: bug#62096: 30.0.50; find-dired, dired-goto-file and spaces

From: Manuel Giraud <[email-masked]>
Date: Fri, 17 Mar 2023 18:50:41 +0100

Drew Adams <[email-masked]> writes:

[...]

>  (defvar find-ls-option-default-ls
>  -  (cons "-ls" (if (eq system-type 'berkeley-unix) "-gilsb" "-dilsb")))
>  +  (cons "-ls" (if (or (eq system-type 'berkeley-unix)
>  +                      (eq system-type 'darwin))
>  +                  "-dgils"
>  +                "-dilsb")))
>
> But I guess you're confirming that the fix is
> for MS Windows (which uses `ls-lisp') also.
> I don't see how that can be the case, but if
> it is then great.  Thx.

No I do not think it fixes anything on Windows.  But "ls-lisp" is also
not involved.  If I understand correctly, 'find-ls-option-default-ls' is
the interpretation - in terms of ls switches - that dired does of a
"find -ls" command.
-- 
Manuel Giraud